%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-ldaphelper
Version:        1.0.1
Release:        2%{?dist}
Summary:        A python wrapper for LDAP search results

Group:          Development/Languages
License:        MIT or GPLv2
URL:            https://fedorahosted.org/ldaphelper
Source0:        http://fedorahosted.org/releases/l/d/ldaphelper/ldaphelper-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python

Requires:       python-ldap

%description
A wrapper for search results from python-ldap, which introduces an
LDAPSearchResults class, with various methods to make use of the
data.

%prep
%setup -q -n ldaphelper-%{version}


%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/%{python_sitelib}
install -pm 644 src/ldaphelper.py $RPM_BUILD_ROOT/%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt GPL.txt MIT.txt
%{python_sitelib}/ldaphelper.py*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 3 2009 Jon Stanley <jonstanley@gmail.com> - 1.0.1-1
- update to 1.0.1 and new upstream

* Sun Dec 7 2008 Jon Stanley <jonstanley@gmail.com> - 1-1
- Initial package
